Summary: Password Database Library
Name: pwdb
Version: 0.54
Release: 11
Copyright: GPL or BSD
Group: Base
Source: ftp://sysadm.sorosis.ro/pub/libpwdb/libpwdb-0.54preC.tar.gz
Patch0: libpwdb-0.54-defaults.patch
Patch1: libpwdb-0.54-sgml2ps.patch
Patch2: libpwdb-0.54-glibc.patch
Patch3: libpwdb-0.54-longname.patch
Patch4: libpwdb-0.54-badconfig.patch
Patch5: libpwdb-0.54-grp.patch 
Summary(de): Pawortdatenbank-Library
Summary(fr): Bibliothque de la base de donnes des mots de passe
Summary(tr): Parola veri taban arivi

%changelog
* Tue Jun  2 1998 Jeff Johnson <jbj@redhat.com>
- Eliminate compiler optimization avoidance on sparc.

* Sat May 23 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Sat May 23 1998 Jeff Johnson <jbj@redhat.com>
- Changed sgml2latex syntax (modified sgml2ps patch).

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Mar 13 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a group lookup on the posix compatibility routines

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- added RPM_OPT_FLAGS support
- optimization on a sparc breaks things :-(

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- 0.54-3: Updated default config file to work better with shadow, and
          to work with NIS.

* Sat Apr 19 1997 Michael K. Johnson <johnsonm@redhat.com>
- 0.54-2: Included Andrew's patch for long usernames.

%description
pwdb (Password Database Library) allows configurable access to
and management of /etc/passwd, /etc/shadow, and network authentication
systems including NIS and Radius.

%description -l de
pwdb (Pawort-Datenbank-Library) ermglicht den konfigurierbaren 
Zugriff auf und die Verwaltung von /etc/passwd, /etc/shadow und 
Netzwerk-Authentifikations-Systemen einschlielich NIS und Radius.

%description -l fr
pwdb (Password Database Library) permet un accs configurable  (et la
gestion de) /etc/passwd, /etc/shadow ainsi que des systmes
d'authentification rseau, dont NIS et Radius.

%description -l tr
pwdb, /etc/passwd ve /etc/shadow dosyalarnn ynetimine ve eriimine, NIS
ve Radius ieren sistemlerde a dorulamasna izin verir.

%prep
%setup -n libpwdb-0.54preC
%patch -p1 -b .defaults
%patch1 -p1 -b .sgml2ps
%patch2 -p1 -b .glibc
%patch3 -p1 -b .longname
%patch4 -p1 -b .badconfig
%patch5 -p1 -b .grp

%build
rm default.defs
ln -s defs/redhat.defs default.defs

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

(cd doc; make; gzip -9 pwdb.ps)

%install
make install
install -m 644 -o root conf/pwdb.conf /etc/pwdb.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Copyright doc/pwdb.ps.gz doc/pwdb.txt doc/html
%config /etc/pwdb.conf
/usr/include/pwdb
/lib/libpwdb.a
/lib/libpwdb.so
/lib/libpwdb.so.0.54
